com.jogamp.opengl.util

## Class Gamma

- java.lang.Object
- - com.jogamp.opengl.util.Gamma

-     public class Gamma
      extends Object

  Provides convenient wrapper for `GLDrawableFactory` control over individual display's gamma, brightness and contrast values via the hardware gamma ramp tables.

  Not supported on all platforms or graphics hardware.

  Thanks to the LWJGL project for illustrating how to access gamma control on the various platforms.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `resetAllDisplayGamma(GLDrawable drawable)` Convenient wrapper for `GLDrawableFactory.resetAllDisplayGamma()`.
    `static void` | `resetDisplayGamma(GLAutoDrawable drawable)` Convenient wrapper for `GLDrawableFactory.resetDisplayGamma(javax.media.nativewindow.NativeSurface)` locking `GLAutoDrawable.getUpstreamLock()` to ensure proper atomic operation.
    `static void` | `resetDisplayGamma(GLDrawable drawable)` Convenient wrapper for `GLDrawableFactory.resetDisplayGamma(javax.media.nativewindow.NativeSurface)`.
    `static boolean` | `setDisplayGamma(GLAutoDrawable drawable, float gamma, float brightness, float contrast)` Convenient wrapper for `GLDrawableFactory.setDisplayGamma(javax.media.nativewindow.NativeSurface, float, float, float)` locking `GLAutoDrawable.getUpstreamLock()` to ensure proper atomic operation.
    `static boolean` | `setDisplayGamma(GLDrawable drawable, float gamma, float brightness, float contrast)` Convenient wrapper for `GLDrawableFactory.setDisplayGamma(javax.media.nativewindow.NativeSurface, float, float, float)`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setDisplayGamma

          public static boolean setDisplayGamma(GLDrawable drawable,
                                float gamma,
                                float brightness,
                                float contrast)
                                         throws IllegalArgumentException

      Convenient wrapper for `GLDrawableFactory.setDisplayGamma(javax.media.nativewindow.NativeSurface, float, float, float)`.

      Use `setDisplayGamma(GLAutoDrawable, float, float, float)` in case of using an {#link GLAutoDrawable}.

      Throws:
        `IllegalArgumentException`

    - #### setDisplayGamma

          public static boolean setDisplayGamma(GLAutoDrawable drawable,
                                float gamma,
                                float brightness,
                                float contrast)
                                         throws IllegalArgumentException

      Convenient wrapper for `GLDrawableFactory.setDisplayGamma(javax.media.nativewindow.NativeSurface, float, float, float)` locking `GLAutoDrawable.getUpstreamLock()` to ensure proper atomic operation.
      Throws:
        `IllegalArgumentException`

    - #### resetDisplayGamma

          public static void resetDisplayGamma(GLDrawable drawable)

      Convenient wrapper for `GLDrawableFactory.resetDisplayGamma(javax.media.nativewindow.NativeSurface)`.

      Use `resetDisplayGamma(GLAutoDrawable)` in case of using an {#link GLAutoDrawable}.

    - #### resetDisplayGamma

          public static void resetDisplayGamma(GLAutoDrawable drawable)

      Convenient wrapper for `GLDrawableFactory.resetDisplayGamma(javax.media.nativewindow.NativeSurface)` locking `GLAutoDrawable.getUpstreamLock()` to ensure proper atomic operation.

    - #### resetAllDisplayGamma

          public static void resetAllDisplayGamma(GLDrawable drawable)

      Convenient wrapper for `GLDrawableFactory.resetAllDisplayGamma()`.

Copyright 2010 JogAmp Community.